Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QFontComboBox.FontFilter

    java.lang.Object
      java.lang.Enum<QFontComboBox.FontFilter>
          com.trolltech.qt.gui.QFontComboBox.FontFilter

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QFontComboBox.FontFilter>

Enclosing class:
  QFontComboBox

    public static enum QFontComboBox.FontFilter

extends java.lang.Enum<QFontComboBox.FontFilter>
implements QtEnumerator

This enum can be used to only show certain types of fonts in the font combo box.

Enum Constant Summary
`AllFonts` Show all fonts
`MonospacedFonts` Only show monospaced fonts
`NonScalableFonts` Only show non scalable fonts
`ProportionalFonts` Only show proportional fonts
`ScalableFonts` Only show scalable fonts

Method Summary
`static QFontComboBox.FontFilters` | `createQFlags(QFontComboBox.FontFilter... values)`
`static QFontComboBox.FontFilter` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFontComboBox.FontFilter` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QFontComboBox.FontFilter[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AllFonts

    public static final QFontComboBox.FontFilter AllFonts

  Show all fonts

### ScalableFonts

    public static final QFontComboBox.FontFilter ScalableFonts

  Only show scalable fonts

### NonScalableFonts

    public static final QFontComboBox.FontFilter NonScalableFonts

  Only show non scalable fonts

### MonospacedFonts

    public static final QFontComboBox.FontFilter MonospacedFonts

  Only show monospaced fonts

### ProportionalFonts

    public static final QFontComboBox.FontFilter ProportionalFonts

  Only show proportional fonts

Method Detail

### values

    public static final QFontComboBox.FontFilter[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QFontComboBox.FontFilter c : QFontComboBox.FontFilter.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QFontComboBox.FontFilter valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QFontComboBox.FontFilters createQFlags(QFontComboBox.FontFilter... values)

### resolve

    public static QFontComboBox.FontFilter resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD